/* DIFFH - A diff frontend for output in HTML format.
 * Module:  CHUNK (header)
 * Author:  Matt Giuca
 * Created: 5/2/06
 * Updated: 5/2/06
 *
 * Copyright (C) 2006 Matt Giuca <mattgiuca@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation; either 
 * version 2 of the License, or (at your option) any later 
 * version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/* Module: CHUNK (header) */

/* Function: chunk_process
 * Takes two string arrays, the lines on either side of the chunk.
 * Fully processes the chunks and outputs them to HTML.
 * Precond: Global outstream must be valid.
 */
extern void chunk_process(int numdeleted, char** deleted,
                          int numadded, char** added);
